summaryrefslogtreecommitdiffstats
path: root/source/a/tar
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tar')
-rw-r--r--source/a/tar/tar-1.22-support_txz.diff11
-rw-r--r--source/a/tar/tar-1.23-support_txz.diff11
-rwxr-xr-xsource/a/tar/tar.SlackBuild28
-rw-r--r--source/a/tar/tar.nolonezero.diff29
-rw-r--r--source/a/tar/tar.norecordsizespam.diff13
5 files changed, 53 insertions, 39 deletions
diff --git a/source/a/tar/tar-1.22-support_txz.diff b/source/a/tar/tar-1.22-support_txz.diff
deleted file mode 100644
index 5104f5639..000000000
--- a/source/a/tar/tar-1.22-support_txz.diff
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -Nur tar-1.22.orig/src/suffix.c tar-1.22/src/suffix.c
---- tar-1.22.orig/src/suffix.c 2009-03-05 01:04:13.000000000 -0600
-+++ tar-1.22/src/suffix.c 2009-05-06 15:59:10.695985191 -0500
-@@ -41,6 +41,7 @@
- { S(tlz, lzma) },
- { S(lzo, lzop) },
- { S(xz, xz) },
-+ { S(txz, xz) },
- #undef S
- };
-
diff --git a/source/a/tar/tar-1.23-support_txz.diff b/source/a/tar/tar-1.23-support_txz.diff
new file mode 100644
index 000000000..efd720b55
--- /dev/null
+++ b/source/a/tar/tar-1.23-support_txz.diff
@@ -0,0 +1,11 @@
+diff -Nur tar-1.23.orig/src/suffix.c tar-1.23/src/suffix.c
+--- tar-1.23.orig/src/suffix.c 2010-03-09 06:52:41.000000000 -0600
++++ tar-1.23/src/suffix.c 2010-03-10 15:34:22.417696189 -0600
+@@ -43,6 +43,7 @@
+ { S(tlz, LZMA) },
+ { S(lzo, LZOP) },
+ { S(xz, XZ) },
++ { S(txz, XZ) },
+ #undef S
+ #undef __CAT2__
+ };
diff --git a/source/a/tar/tar.SlackBuild b/source/a/tar/tar.SlackBuild
index 43181ccbe..21484f4cc 100755
--- a/source/a/tar/tar.SlackBuild
+++ b/source/a/tar/tar.SlackBuild
@@ -22,12 +22,20 @@
# Slackware build script for tar
-VERSION=1.22
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=1.23
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
+# Automatically determine architecture for build & packaging:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tar
@@ -41,6 +49,8 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
# This old version is the only one that won't clobber symlinks, e.g.:
@@ -58,7 +68,7 @@ tar xvf $CWD/tar-1.13.tar.gz || exit 1
cd tar-1.13 || exit 1
zcat $CWD/tar-1.13.bzip2.diff.gz | patch -p1 --verbose || exit 1
# The original config.{guess,sub} do not work on x86_64
-cp -p /usr/share/libtool/config.{guess,sub} .
+cp -p /usr/share/libtool/config/config.{guess,sub} .
chown -R root:root .
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -73,7 +83,7 @@ chmod 0755 $PKG/bin/tar-1.13
cd $TMP
rm -rf tar-$VERSION
-tar xvf $CWD/tar-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/tar-$VERSION.tar.xz || exit 1
cd tar-$VERSION || exit 1
chown -R root:root .
find . \
@@ -89,7 +99,7 @@ zcat $CWD/tar.norecordsizespam.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/tar.nolonezero.diff.gz | patch -p1 --verbose || exit 1
# Add support for *.txz files (our packages)
-zcat $CWD/tar-1.22-support_txz.diff.gz | patch -p1 --verbose || exit1
+zcat $CWD/tar-1.23-support_txz.diff.gz | patch -p1 --verbose || exit1
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -103,8 +113,10 @@ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mv $PKG/usr/bin/tar $PKG/bin
diff --git a/source/a/tar/tar.nolonezero.diff b/source/a/tar/tar.nolonezero.diff
index 3c6f6f97b..0209c692a 100644
--- a/source/a/tar/tar.nolonezero.diff
+++ b/source/a/tar/tar.nolonezero.diff
@@ -1,24 +1,25 @@
---- ./src/list.c.orig 2004-05-10 04:49:09.000000000 -0700
-+++ ./src/list.c 2004-06-06 13:13:23.000000000 -0700
+diff -Nur tar-1.23.orig//src/list.c tar-1.23//src/list.c
+--- tar-1.23.orig//src/list.c 2010-01-26 05:28:09.000000000 -0600
++++ tar-1.23//src/list.c 2010-03-15 23:46:19.841670026 -0500
@@ -138,6 +138,14 @@
if (!ignore_zeros_option)
{
+
-+ /*
-+ * According to POSIX tar specs, this is wrong, but on the web
-+ * there are some tar specs that can trigger this, and some tar
-+ * implementations create tars according to that spec. For now,
-+ * let's not be pedantic about issuing the warning.
-+ */
-+#if 0
++ /*
++ * According to POSIX tar specs, this is wrong, but on the web
++ * there are some tar specs that can trigger this, and some tar
++ * implementations create tars according to that spec. For now,
++ * let's not be pedantic about issuing the warning.
++ */
++#if 0
char buf[UINTMAX_STRSIZE_BOUND];
- status = read_header (false);
-@@ -145,6 +153,7 @@
- break;
- WARN ((0, 0, _("A lone zero block at %s"),
- STRINGIFY_BIGINT (current_block_ordinal (), buf)));
+ status = read_header (&current_header, &current_stat_info,
+@@ -147,6 +155,7 @@
+ WARNOPT (WARN_ALONE_ZERO_BLOCK,
+ (0, 0, _("A lone zero block at %s"),
+ STRINGIFY_BIGINT (current_block_ordinal (), buf)));
+#endif
break;
}
diff --git a/source/a/tar/tar.norecordsizespam.diff b/source/a/tar/tar.norecordsizespam.diff
index b7d1b7a9f..0a1f4e1df 100644
--- a/source/a/tar/tar.norecordsizespam.diff
+++ b/source/a/tar/tar.norecordsizespam.diff
@@ -1,15 +1,16 @@
---- ./src/buffer.c.orig 2009-03-05 01:04:13.000000000 -0600
-+++ ./src/buffer.c 2009-03-09 20:17:50.000000000 -0500
-@@ -688,7 +688,7 @@
+diff -Nur tar-1.23.orig//src/buffer.c tar-1.23/src/buffer.c
+--- tar-1.23.orig//src/buffer.c 2010-03-09 06:52:41.000000000 -0600
++++ tar-1.23/src/buffer.c 2010-03-15 23:47:30.122668444 -0500
+@@ -734,7 +734,7 @@
more = record_start->buffer + status;
left = record_size - status;
- if (left && left % BLOCKSIZE == 0
+ /* if (left && left % BLOCKSIZE == 0
&& verbose_option
- && record_start_block == 0 && status != 0)
- {
-@@ -698,7 +698,7 @@
+ && record_start_block == 0 && status != 0
+ && archive_is_dev ())
+@@ -745,7 +745,7 @@
"Record size = %lu blocks",
rsize),
rsize));